import request from '@/utils/request'

// 查询投诉建议列表
export function listSuggestion(query) {
  return request({
    url: '/wuYe/suggestion/list',
    method: 'get',
    params: query
  })
}

// 查询投诉建议详细
export function getSuggestion(suggestionId) {
  return request({
    url: '/wuYe/suggestion/' + suggestionId,
    method: 'get'
  })
}

// 新增投诉建议
export function addSuggestion(data) {
  return request({
    url: '/wuYe/suggestion',
    method: 'post',
    data: data
  })
}

// 修改投诉建议
export function updateSuggestion(data) {
  return request({
    url: '/wuYe/suggestion/put',
    method: 'post',
    data: data
  })
}

// 删除投诉建议
export function delSuggestion(suggestionId) {
  return request({
    url: '/wuYe/suggestion/delete/' + suggestionId,
    method: 'get'
  })
}
